Name: fusionforge
Version: 6.0.3
Release: 1%{?dist}
Summary: Collaborative development tool

Group: Development/Tools
BuildArch: noarch
# FusionForge is GPLv2+ and JQuery is MIT
License: GPLv2+ and MIT
URL: http://www.fusionforge.org/
Source0: http://fusionforge.org/frs/download.php/latestfile/2/%{name}-6.0.3.tar.bz2
Requires: %{name}-db-local = %{version}-%{release}, %{name}-web = %{version}-%{release}, %{name}-scm = %{version}-%{release}
Provides: bundled(jquery) = 1.10.2, bundled(jquery-ui) = 1.10.4

%description
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This metapackage installs a stand-alone FusionForge site.
%files


%prep
%setup -q -n fusionforge-6.0.3

%build
make %{?_smp_mflags}

%install
# List package files automatically by installing separately and relying on 'make install'
# Marking /etc as conffiles and exclude locales (cf. mandatory %%find_lang)
# Not using recursive dirs listing because that is processed when all
#   packages are mixed in the common install dir (so using %%dir instead)
install_listfiles()
{
    make install-${1} prefix=%{_prefix} DESTDIR=%{_builddir}/t
    (
        cd %{_builddir}/t/
        find .%{_bindir}           ! -type d || true
        find .%{_sysconfdir}       ! -type d | sed -e 's,^\.,%config(noreplace) ,'
        find .%{_sysconfdir}/%{name} -type d | sed -e 's,^\.,%dir ,'
        find .%{_datadir}/%{name} .%{_localstatedir}/lib/%{name} .%{_localstatedir}/log/%{name} \
            ! -type d || true
        find .%{_datadir}/%{name} .%{_localstatedir}/lib/%{name} .%{_localstatedir}/log/%{name} \
            -type d | sed -e 's,^\.,%dir ,' || true
    ) | sed -e 's,^\.,,' > ${1}.rpmfiles
    rm -rf %{_builddir}/t/
    # Install for real
    make install-${1} prefix=%{_prefix} DESTDIR=%{buildroot}
}
# Declare rpm-specific version
sed -e 's/@PKGVERSION@/%{version}-%{release}/' \
    < common/pkginfo.inc.php.template \
    > common/pkginfo.inc.php
# http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries .../simplepie.inc -> php-simplepie
rm -rf vendor/simplepie/
# http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries .../nusoap.php -> php-nusoap
rm -rf vendor/nusoap/
# Remove RDF libraries, used by plugins we didn't package because as they weren't available in Fedora
rm -rf vendor/arc/
rm -f vendor/Graphite.php
# Install core and list common dirs
install_listfiles common
%find_lang %{name}
# Install sub-modules
install_listfiles db-local
install_listfiles web
install_listfiles web-vhosts
install_listfiles shell
install_listfiles scm
install_listfiles mta-postfix
install_listfiles mta-exim4
install_listfiles lists
# Install plugins
for i in $(sed -n 's/^%package plugin-//p' rpm/plugins); do \
    install_listfiles plugin-$i
done
# Manually handling the 3 python glue files for MoinMoin integration
echo %{_datadir}/%{name}/plugins/moinmoin/lib/ >> plugin-moinmoin.rpmfiles


%package common
Summary: Collaborative development tool - shared files
Requires: php-cli, php-pgsql, php-process, php-htmlpurifier-htmlpurifier, crontabs, cronie
%description common
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains files and programs used by several other
subpackages.
%files common -f common.rpmfiles -f %{name}.lang
%doc AUTHORS* CHANGES COPYING README
%doc docs/*
%doc rpm/README.fedora
%post common
%{_datadir}/%{name}/post-install.d/common/common.sh configure
%preun common
if [ $1 -eq 0 ] ; then
    %{_datadir}/%{name}/post-install.d/common/common.sh remove
    %{_datadir}/%{name}/post-install.d/common/common.sh purge
fi


%package db-local
Summary: Collaborative development tool - database (using PostgreSQL)
Requires: %{name}-common = %{version}-%{release}, postgresql-server
Provides: %{name}-db = %{version}-%{release}
%description db-local
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package installs, configures and maintains the FusionForge
database.
%files db-local -f db-local.rpmfiles
%post db-local
%{_datadir}/%{name}/post-install.d/db/db.sh configure
%preun db-local
if [ $1 -eq 0 ] ; then %{_datadir}/%{name}/post-install.d/db/db.sh remove; fi


%package db-remote
Summary: Collaborative development tool - database (remote and already installed)
Provides: %{name}-db = %{version}-%{release}
%description db-remote
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This dummy package tells FusionForge you installed the database on a
separate machine.  It preserves the fusionforge-db virtual dependency,
to configure the database before depending packages in single-server
installs (e.g. plugins activation requires a populated db).
%files db-remote


%package shell
Summary: Collaborative development tool - shell accounts (using PostgreSQL)
Requires: %{name}-common = %{version}-%{release}, php, openssh-server, nscd, libnss-pgsql, pam
%description shell
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package provides shell accounts authenticated via the PostGreSQL
database to FusionForge users.
%files shell -f shell.rpmfiles
%post shell
%{_datadir}/%{name}/post-install.d/shell/shell.sh configure
%preun shell
if [ $1 -eq 0 ] ; then
    %{_datadir}/%{name}/post-install.d/shell/shell.sh remove
    %{_datadir}/%{name}/post-install.d/shell/shell.sh purge
fi


%package scm
Summary: Collaborative development tool - shell accounts (using PostgreSQL)
Requires: %{name}-common = %{version}-%{release}, %{name}-shell = %{version}-%{release}, xinetd, rsync
%description scm
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains the jobs to manage SCM repositories.
It should be installed on only one server in your infrastructure.
%files scm -f scm.rpmfiles


%package web
Summary: Collaborative development tool - web part (using Apache)
Requires: %{name}-common = %{version}-%{release}, %{name}-db = %{version}-%{release}, httpd, mod_ssl, php, php-pgsql, php-simplepie, php-pear-HTTP, php-nusoap, php-mbstring, httpd-itk, mod_dav_svn, unoconv, poppler-utils, openssl
%description web
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains the files needed to run the web part of
FusionForge on an Apache web server.
%files web -f web.rpmfiles
%post web
%{_datadir}/%{name}/post-install.d/web/web.sh configure
%preun web
if [ $1 -eq 0 ] ; then
    %{_datadir}/%{name}/post-install.d/web/web.sh remove
    %{_datadir}/%{name}/post-install.d/web/web.sh purge
fi


%package web-vhosts
Summary: Collaborative development tool - web vhosts (using Apache)
Requires: %{name}-common = %{version}-%{release}, httpd
%description web-vhosts
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package contains the files needed to run project vhosts
on an Apache web server.
%files web-vhosts -f web-vhosts.rpmfiles


%package mta-postfix
Summary: Collaborative development tool - mail tools (using Postfix)
Requires: %{name}-common = %{version}-%{release}, postfix
Provides: %{name}-mta = %{version}-%{release}
%description mta-postfix
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package configures the Postfix mail transfer agent to run
FusionForge.
%files mta-postfix -f mta-postfix.rpmfiles
%post mta-postfix
%{_datadir}/%{name}/post-install.d/mta-postfix/mta-postfix.sh configure
%preun mta-postfix
if [ $1 -eq 0 ] ; then %{_datadir}/%{name}/post-install.d/mta-postfix/mta-postfix.sh $i remove; fi


%package mta-exim4
Summary: Collaborative development tool - mail tools (using Exim 4)
Requires: %{name}-common = %{version}-%{release}, exim
Provides: %{name}-mta = %{version}-%{release}
%description mta-exim4
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package configures the Exim 4 mail transfer agent to run
FusionForge.
%files mta-exim4 -f mta-exim4.rpmfiles
%post mta-exim4
%{_datadir}/%{name}/post-install.d/mta-exim4/mta-exim4.sh configure
%preun mta-exim4
if [ $1 -eq 0 ] ; then %{_datadir}/%{name}/post-install.d/mta-exim4/mta-exim4.sh $i remove; fi


%package lists
Summary: Collaborative development tool - mailing-lists (using Mailman)
Requires: %{name}-common = %{version}-%{release}, %{name}-mta = %{version}-%{release}, mailman
%description lists
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This package controls the interaction between FusionForge and Mailman.
%files lists -f lists.rpmfiles
%post lists
%{_datadir}/%{name}/post-install.d/lists/lists.sh configure


%package plugin-scmgit
Requires: %{name}-common = %{version}-%{release}, git, gitweb, xinetd, rsync
Summary: FusionForge plugin - Git
%description plugin-scmgit
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Git subsystem of FusionForge. It allows each
FusionForge project to have its own Git repository, and gives some
control over it to the project's administrator.
%files plugin-scmgit -f plugin-scmgit.rpmfiles
%post plugin-scmgit
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmgit configure
%preun plugin-scmgit
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmgit remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmgit purge
fi


%package plugin-scmsvn
Requires: %{name}-common = %{version}-%{release}, subversion, viewvc, python-pycurl, xinetd, rsync
Summary: FusionForge plugin - Subversion
%description plugin-scmsvn
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Subversion subsystem of FusionForge. It allows
each FusionForge project to have its own Subversion repository, and gives
some control over it to the project's administrator.
%files plugin-scmsvn -f plugin-scmsvn.rpmfiles
%post plugin-scmsvn
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmsvn configure
%preun plugin-scmsvn
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmsvn remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmsvn purge
fi


%package plugin-scmbzr
Requires: %{name}-common = %{version}-%{release}, bzr, mod_wsgi, loggerhead
Summary: FusionForge plugin - Bazaar
%description plugin-scmbzr
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Bazaar subsystem of FusionForge. It allows each
FusionForge project to have its own Bazaar repository, and gives some control
over it to the project's administrator.
%files plugin-scmbzr -f plugin-scmbzr.rpmfiles
%post plugin-scmbzr
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmbzr configure
%preun plugin-scmbzr
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmbzr remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmbzr purge
fi


%package plugin-scmhg
Requires: %{name}-common = %{version}-%{release}, mercurial
Summary: FusionForge plugin - Mercurial
%description plugin-scmhg
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Mercurial (Hg) subsystem of FusionForge. It
allows each FusionForge project to have its own Mercurial repository,
and gives some control over it to the project's administrator.
Offer DAV or SSH access.
%files plugin-scmhg -f plugin-scmhg.rpmfiles
%post plugin-scmhg
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhg configure
%preun plugin-scmhg
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhg remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhg purge
fi


%package plugin-scmdarcs
Requires: %{name}-common = %{version}-%{release}, darcs
Summary: FusionForge plugin - Darcs
%description plugin-scmdarcs
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Darcs subsystem of FusionForge. It allows each
FusionForge project to have its own Darcs repository, and gives some control
over it to the project's administrator.
%files plugin-scmdarcs -f plugin-scmdarcs.rpmfiles
%post plugin-scmdarcs
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmdarcs configure
%preun plugin-scmdarcs
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmdarcs remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmdarcs purge
fi


%package plugin-aselectextauth
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - A-select external authentication
%description plugin-aselectextauth
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

A system plugin for authenticating users in fusionforge. A-Select is a framework
where users can be authenticated by several means with Authentication
Service Providers.
%files plugin-aselectextauth -f plugin-aselectextauth.rpmfiles
%post plugin-aselectextauth
%{_datadir}/%{name}/post-install.d/common/plugin.sh aselectextauth configure
%preun plugin-aselectextauth
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh aselectextauth remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh aselectextauth purge
fi


%package plugin-authcas
Requires: %{name}-common = %{version}-%{release}, php-pear-CAS
Summary: FusionForge plugin - CAS authentication
%description plugin-authcas
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a CAS authentication mechanism for
FusionForge. It allows users to authenticate against an external CAS
server.
%files plugin-authcas -f plugin-authcas.rpmfiles
%post plugin-authcas
%{_datadir}/%{name}/post-install.d/common/plugin.sh authcas configure
%preun plugin-authcas
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh authcas remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh authcas purge
fi


%package plugin-authhttpd
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - HTTPD authentication
%description plugin-authhttpd
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains an HTTPD authentication mechanism for
FusionForge. It allows Apache authentication to be reused for
FusionForge, for instance where Kerberos is used.
%files plugin-authhttpd -f plugin-authhttpd.rpmfiles
%post plugin-authhttpd
%{_datadir}/%{name}/post-install.d/common/plugin.sh authhttpd configure
%preun plugin-authhttpd
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh authhttpd remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh authhttpd purge
fi


%package plugin-authldap
Requires: %{name}-common = %{version}-%{release}, php-ldap
Summary: FusionForge plugin - LDAP authentication
%description plugin-authldap
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains an LDAP authentication mechanism for
FusionForge. It allows users to authenticate against an external LDAP
directory, and syncs some of their personal information from LDAP
into the FusionForge database.
%files plugin-authldap -f plugin-authldap.rpmfiles
%post plugin-authldap
%{_datadir}/%{name}/post-install.d/common/plugin.sh authldap configure
%preun plugin-authldap
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh authldap remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh authldap purge
fi


%package plugin-blocks
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Blocks
%description plugin-blocks
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Blocks subsystem of FusionForge. It allows each
FusionForge project to have its own Blocks, and gives some
control over it to the project's administrator.
%files plugin-blocks -f plugin-blocks.rpmfiles
%post plugin-blocks
%{_datadir}/%{name}/post-install.d/common/plugin.sh blocks configure
%preun plugin-blocks
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh blocks remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh blocks purge
fi


%package plugin-ckeditor
Requires: %{name}-common = %{version}-%{release}, ckeditor
Summary: FusionForge plugin - HTML editor (ckeditor)
%description plugin-ckeditor
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

CKEditor is a WYSIWYG text editor that displays within a web browser.
%files plugin-ckeditor -f plugin-ckeditor.rpmfiles
%post plugin-ckeditor
%{_datadir}/%{name}/post-install.d/common/plugin.sh ckeditor configure
%preun plugin-ckeditor
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh ckeditor remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh ckeditor purge
fi


%package plugin-compactpreview
Requires: %{name}-common = %{version}-%{release}, php-pear-HTTP
Summary: FusionForge plugin - CompactPreview!
%description plugin-compactpreview
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin adds support for user and project compact-preview
(popups) compatible with the OSLC specifications.
%files plugin-compactpreview -f plugin-compactpreview.rpmfiles
%post plugin-compactpreview
%{_datadir}/%{name}/post-install.d/common/plugin.sh compactpreview configure
%preun plugin-compactpreview
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh compactpreview remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh compactpreview purge
fi


%package plugin-externalsearch
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - External Search
%description plugin-externalsearch
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin adds a new search engine to your FusionForge site. It allows
your users to search your FusionForge site through external search engines
which have indexed it. You can define search engines you want to use in
the configuration file.
%files plugin-externalsearch -f plugin-externalsearch.rpmfiles
%post plugin-externalsearch
%{_datadir}/%{name}/post-install.d/common/plugin.sh externalsearch configure
%preun plugin-externalsearch
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh externalsearch remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh externalsearch purge
fi


%package plugin-gravatar
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Gravatar Plugin
%description plugin-gravatar
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the gravatar plugin of FusionForge. It allows each
FusionForge user to have its gravatar icon displayed.
%files plugin-gravatar -f plugin-gravatar.rpmfiles
%post plugin-gravatar
%{_datadir}/%{name}/post-install.d/common/plugin.sh gravatar configure
%preun plugin-gravatar
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh gravatar remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh gravatar purge
fi


%package plugin-headermenu
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Menu Tabs Manager
%description plugin-headermenu
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to define extra tabs with arbitrary
titles and links, next to the login menu (headermenu),
in the main menu (outermenu) or in the project menu (groupmenu).
%files plugin-headermenu -f plugin-headermenu.rpmfiles
%post plugin-headermenu
%{_datadir}/%{name}/post-install.d/common/plugin.sh headermenu configure
%preun plugin-headermenu
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh headermenu remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh headermenu purge
fi


%package plugin-hudson
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Hudson/Jenkins
%description plugin-hudson
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains the Hudson subsystem of FusionForge. It allows each
FusionForge project to have its own Hudson, and gives some
control over it to the project administrator.
%files plugin-hudson -f plugin-hudson.rpmfiles
%post plugin-hudson
%{_datadir}/%{name}/post-install.d/common/plugin.sh hudson configure
%preun plugin-hudson
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh hudson remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh hudson purge
fi


%package plugin-mediawiki
Requires: %{name}-common = %{version}-%{release}, mediawiki
Summary: FusionForge plugin - Mediawiki
%description plugin-mediawiki
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to embed Mediawiki under a tab.
%files plugin-mediawiki -f plugin-mediawiki.rpmfiles
%post plugin-mediawiki
%{_datadir}/%{name}/post-install.d/common/plugin.sh mediawiki configure
%preun plugin-mediawiki
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh mediawiki remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh mediawiki purge
fi


%package plugin-message
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Message
%description plugin-message
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows the site administrator to display a message banner
on all pages, e.g. for maintenance announcements.
%files plugin-message -f plugin-message.rpmfiles
%post plugin-message
%{_datadir}/%{name}/post-install.d/common/plugin.sh message configure
%preun plugin-message
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh message remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh message purge
fi


%package plugin-moinmoin
Requires: %{name}-common = %{version}-%{release}, moin, mod_wsgi, python-psycopg2
Summary: FusionForge plugin - MoinMoinWiki
%description plugin-moinmoin
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to embed MoinMoinWiki under a tab.
%files plugin-moinmoin -f plugin-moinmoin.rpmfiles
%post plugin-moinmoin
%{_datadir}/%{name}/post-install.d/common/plugin.sh moinmoin configure
%preun plugin-moinmoin
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh moinmoin remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh moinmoin purge
fi


%package plugin-online_help
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - online_help!
%description plugin-online_help
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This is a online_help plugin within FusionForge.
%files plugin-online_help -f plugin-online_help.rpmfiles
%post plugin-online_help
%{_datadir}/%{name}/post-install.d/common/plugin.sh online_help configure
%preun plugin-online_help
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh online_help remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh online_help purge
fi


%package plugin-scmhook
Requires: %{name}-common = %{version}-%{release}, php-cli, perl, mksh
Summary: FusionForge plugin - Scmhook
%description plugin-scmhook
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a set of commit hooks (e-mail notifications,
tracker integration, conformity...) that can be enabled for each
project independently.
%files plugin-scmhook -f plugin-scmhook.rpmfiles
%post plugin-scmhook
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhook configure
%preun plugin-scmhook
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhook remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh scmhook purge
fi


%package plugin-projectlabels
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Project labels
%description plugin-projectlabels
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This can be used to highlight some projects on a forge, for instance
for a "project of the month".
%files plugin-projectlabels -f plugin-projectlabels.rpmfiles
%post plugin-projectlabels
%{_datadir}/%{name}/post-install.d/common/plugin.sh projectlabels configure
%preun plugin-projectlabels
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh projectlabels remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh projectlabels purge
fi


%package plugin-contribtracker
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Contribution Tracker
%description plugin-contribtracker
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin allows each project to display a list of significant
contributions, along with their authors.
%files plugin-contribtracker -f plugin-contribtracker.rpmfiles
%post plugin-contribtracker
%{_datadir}/%{name}/post-install.d/common/plugin.sh contribtracker configure
%preun plugin-contribtracker
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh contribtracker remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh contribtracker purge
fi


%package plugin-globalsearch
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Globalsearch
%description plugin-globalsearch
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin contains a cross-FusionForge search engine.  You can
declare a list of other FusionForge sites, and search for projects
hosted on these forges from your own.
%files plugin-globalsearch -f plugin-globalsearch.rpmfiles
%post plugin-globalsearch
%{_datadir}/%{name}/post-install.d/common/plugin.sh globalsearch configure
%preun plugin-globalsearch
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh globalsearch remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh globalsearch purge
fi


%package plugin-sysauthldap
Requires: %{name}-common = %{version}-%{release}, php-ldap
Summary: FusionForge plugin - System authentication via LDAP
%description plugin-sysauthldap
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

This plugin maintains data about users, groups and memberships in an
LDAP directory that can be used for NSS/PAM system authentication (or
for other uses).
%files plugin-sysauthldap -f plugin-sysauthldap.rpmfiles
%post plugin-sysauthldap
%{_datadir}/%{name}/post-install.d/common/plugin.sh sysauthldap configure
%preun plugin-sysauthldap
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh sysauthldap remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh sysauthldap purge
fi


%package plugin-taskboard
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - Task Board
%description plugin-taskboard
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

Agile TaskBoard: Supports Scrum and Kanban methodologies.
%files plugin-taskboard -f plugin-taskboard.rpmfiles
%post plugin-taskboard
%{_datadir}/%{name}/post-install.d/common/plugin.sh taskboard configure
%preun plugin-taskboard
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh taskboard remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh taskboard purge
fi


%package plugin-webanalytics
Requires: %{name}-common = %{version}-%{release},
Summary: FusionForge plugin - webanalytics
%description plugin-webanalytics
FusionForge provides many tools to aid collaboration in a
development project, such as bug-tracking, task management,
mailing-lists, SCM repository, forums, support request helper,
web/FTP hosting, release management, etc. All these services are
integrated into one web site and managed through a web interface.

webanalytics plugin for FusionForge. Get the ability
to configure specific URL for web analytics tool
such as Piwik or Google Analytics.
%files plugin-webanalytics -f plugin-webanalytics.rpmfiles
%post plugin-webanalytics
%{_datadir}/%{name}/post-install.d/common/plugin.sh webanalytics configure
%preun plugin-webanalytics
if [ $1 -eq 0 ] ; then
%{_datadir}/%{name}/post-install.d/common/plugin.sh webanalytics remove
%{_datadir}/%{name}/post-install.d/common/plugin.sh webanalytics purge
fi




%changelog
* Tue Oct  6 2015 Sylvain Beucler <beuc@beuc.net> - 6.0.3-1
- New upstream release

* Thu Jul  2 2015 Sylvain Beucler <beuc@beuc.net> - 6.0.2-1
- New upstream release

* Tue Jun 23 2015 Sylvain Beucler <beuc@beuc.net> - 6.0.1-1
- New upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Sylvain Beucler <beuc@beuc.net> - 6.0-1
- New upstream release

* Thu May 28 2015 Sylvain Beucler <beuc@beuc.net> - 6.0-0.2.rc4
- New upstream release candidate
- CVE-2015-0850: Prevent arbitrary command execution via clone URL
  parameter of the method to create secondary Git repositories. Found by
  Ansgar Burchardt <ansgar@debian.org>.

* Mon May 18 2015 Sylvain Beucler <beuc@beuc.net> - 6.0-0.1.rc2
- New upstream release candidate

* Mon Nov 3 2014 Sylvain Beucler <beuc@beuc.net> - 5.3.2-3
- Remove augeas dependency from fusionforge-plugin-scmsvn which is not
  needed in 5.3.2.
- Configure apache_user/apache_group to work-around 'install-ng' limitation
- Use more precise %%{version}-%%{release} dependencies
- Reference /var/log/fusionforge in %%files common
- Install /var/log/fusionforge/plugins/env.inc.php

* Sat Nov 1 2014 Sylvain beucler <beuc@beuc.net> - 5.3.2-2
- Remove fusionforge-lists -> fusionforge-mta dependency which is not
  yet available in 5.3.2.

* Thu Oct 30 2014 Sylvain Beucler <beuc@beuc.net> - 5.3.2-1
- Initial import for current stable release
